/*-----------------------------------------------------------------------------------------*/
//					
//								Repertoire 2002	v1.0a
//																					
// File:  Repertoire2002.h	
//																											
// Contains:	dclarations des types et structures utilis par la liste...
//	
//																										
// Written by:	DEL NERO Jean Francois																					
//				GUITTON  Rmy
//																					
// Copyright: Copyright  2002-2003 ECE
//   		  www.powerofasm.fr.st
//   																											
// Change History (most recent first):																				
//     																								
//  																											
/*-----------------------------------------------------------------------------------------*/


typedef struct FileHeader
{
	char Signature[5];
	unsigned char version;
	unsigned int nbfiche;
}FileHeader;

typedef struct Date
{
	unsigned int jour;
	unsigned int mois;
	unsigned int annee;
}typedate;

typedef struct Adresse
{
	char numero[50];
	char typeplace[20];
	char rue[200];
	char ville[50];
	char codepostal[5+1];
	char pays[50];
}typeadresse;


typedef struct typefiche
{
	char nom[50];
	char prenom[50];
	typedate datedenaissance;
	char numtel[20];
	char numtelp[20];
	typeadresse adresse;
	char email[50];
}typefiche;

typedef struct selemliste
{
	typefiche * unefiche;
	selemliste * ElementSuivant;
}elemliste;

typedef elemliste * laliste;


// Dclaration des fonctions:

laliste AjouterElement(typefiche unefiche,laliste Laliste);
bool	EstVide(laliste Uneliste);
laliste ElemSuivant(laliste Uneliste);
laliste SupprimerFiche(laliste LaListe,char * nomprenom);
laliste RechercherFiche(laliste  laListe,char * nomprenom);
bool	FiltreFiche(laliste  laListe,typefiche unefiche);
void	RechercherFicheCritere(laliste  laListe,typefiche unefiche,HWND liste);
laliste ChargeUneFiche(laliste laliste,char * lefichier,int numero);
bool	SauvegardeUneFiche(laliste unefiche,char * lefichier,int numero);
bool	SauvegardeListe(laliste laaliste,char * lefichier);
laliste ChargerListe(laliste listet,char * lefichier);
bool	RechercheNomFete(char * nom,int * moisp, int * jourp);
int		VerifierFete(laliste fiche1);
laliste SetGetListe(laliste liste,bool mode);
void SetListe(laliste Laliste);
laliste GetListe();
